## kobby 1.0~beta3

=== CMakeLists.txt ===
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

project(kobby)
cmake_minimum_required(VERSION 2.6)
SET( CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/CMakeModules )
find_package(KDE4 REQUIRED)
include(KDE4Defaults)

SUBDIRS(kobby)

=== kobby/CMakeLists.txt ===
# Copyright (c) 2008 Gregory Haynes <greg@greghaynes.net>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.
#

find_package(Libqinfinity REQUIRED)
set(KDE_MIN_VERSION "4.2.0")


set(KOBBY_INCLUDES
	${KDE4_INCLUDES}
	${LIBQINFINITY_INCLUDES}
	${CMAKE_SOURCE_DIR}
	${CMAKE_SOURCE_DIR}/kobby
	${CMAKE_SOURCE_DIR}/kobby/dialogs
	${CMAKE_SOURCE_DIR}/kobby/data
	${CMAKE_BINARY_DIR}/kobby
)

set(KOBBY_LIBRARIES
	${KDE4_KDEUI_LIBS}
	${KDE4_KIO_LIBS}
	${KDE4_KFILE_LIBS}
	${KDE4_KTEXTEDITOR_LIBS}
	${KDE4_KDECORE_LIBS}
	${LIBQINFINITY_LIBRARIES}
)

set( KOBBY_SRCS
	dialogs/createconnectiondialog.cpp
	dialogs/createitemdialog.cpp
	dialogs/settingsdialog.cpp

	editor/noteplugin.cpp
	editor/document.cpp
	editor/documentbuilder.cpp
	editor/documentmodel.cpp
	editor/remotebrowserview.cpp
	editor/localbrowserview.cpp
	editor/documentusersbrowser.cpp
	editor/documentlistview.cpp
	editor/documenttabwidget.cpp
	editor/connection.cpp
	editor/itemfactory.cpp
	editor/mainwindow.cpp
	editor/main.cpp
)

set(KOBBY_UI
	dialogs/createconnectionwidget.ui
	dialogs/createitemwidget.ui
	dialogs/profilesettingswidget.ui
	dialogs/networksettingswidget.ui
	dialogs/uisettingswidget.ui
)

INCLUDE_DIRECTORIES(${KOBBY_INCLUDES} )

kde4_add_ui_files(KOBBY_SRCS ${KOBBY_UI} )
kde4_add_kcfg_files(KOBBY_SRCS data/kobbysettings.kcfgc )
kde4_add_executable(kobby ${KOBBY_SRCS} )


target_link_libraries(kobby ${KOBBY_LIBRARIES} )

install(TARGETS kobby DESTINATION ${BIN_INSTALL_DIR} )

subdirs( data )

## kobby 1.0~beta5

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,4 +8,8 @@
 find_package(KDE4 REQUIRED)
 include(KDE4Defaults)
 
+find_package(Msgfmt REQUIRED)
+find_package(Gettext REQUIRED)
+add_subdirectory( po )
+
 SUBDIRS(kobby)

=== kobby/CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 #
 
 find_package(Libqinfinity REQUIRED)
-set(KDE_MIN_VERSION "4.2.0")
-
+find_package (KDE4 4.2.0 REQUIRED)
+include(KDE4Defaults)
 
 set(KOBBY_INCLUDES
 	${KDE4_INCLUDES}
@@ -18,12 +18,15 @@
 	${CMAKE_BINARY_DIR}/kobby
 )
 
+INCLUDE_DIRECTORIES(${KOBBY_INCLUDES} )
+
 set(KOBBY_LIBRARIES
 	${KDE4_KDEUI_LIBS}
 	${KDE4_KIO_LIBS}
 	${KDE4_KFILE_LIBS}
 	${KDE4_KTEXTEDITOR_LIBS}
 	${KDE4_KDECORE_LIBS}
+	${KDE4_KDNSSD_LIBS}
 	${LIBQINFINITY_LIBRARIES}
 )
 
@@ -31,6 +34,9 @@
 	dialogs/createconnectiondialog.cpp
 	dialogs/createitemdialog.cpp
 	dialogs/settingsdialog.cpp
+	dialogs/setupdialog.cpp
+	dialogs/closedocsdialog.cpp
+	dialogs/uploaddocumentdialog.cpp
 
 	editor/noteplugin.cpp
 	editor/document.cpp
@@ -53,6 +59,9 @@
 	dialogs/profilesettingswidget.ui
 	dialogs/networksettingswidget.ui
 	dialogs/uisettingswidget.ui
+	dialogs/setuppagewidget.ui
+	dialogs/profilesetupwidget.ui
+	dialogs/closedocswidget.ui
 )
 
 INCLUDE_DIRECTORIES(${KOBBY_INCLUDES} )

=== po/CMakeLists.txt ===
add_subdirectory( fr )

=== kobby/data/CMakeLists.txt ===
install( FILES kobbyui.rc DESTINATION ${DATA_INSTALL_DIR}/kobby )
install( FILES kobby.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES kobbysettings.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )

=== po/fr/CMakeLists.txt ===
file(GLOB _po_files *.po)
# Add a line like the following when you add a translation
GETTEXT_PROCESS_PO_FILES( fr ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== debian/changelog ===
kobby (1.0~beta5-3) unstable; urgency=low

  * Added cmake to Build-Depends. (Closes: #581275) 

 -- Mark Purcell <msp@debian.org>  Fri, 21 May 2010 17:12:22 +1000

kobby (1.0~beta5-2) unstable; urgency=low

  * Move Kobby to section Network in the menu, gobby users would expect to
    find Kobby in the same section. (LP: #479534)
    (Patch: 02_Move_to_menu_category_Network.diff)
  * Don't have extensions on the icon's name in .desktop file. Fixes the
    following message from desktop-file-validate:
         ``/usr/share/applications/kde4/kobby.desktop: warning: value
         "meeting-attending.png" for key "Icon" in group "Desktop Entry" is an
         icon name with an extension, but there should be no extension as
         described in the Icon Theme Specification if the value is not an
         absolute path ''
    (Patch: 03_No_icon_extension.diff)
  * Add my missing copyright do debian/copyright

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Fri, 09 Apr 2010 17:56:45 -0400

kobby (1.0~beta5-1) unstable; urgency=low

  [ Ryan Kavanagh ]
  * New upstream release
  * Replaced DEP5 changelog with the old-style format
  * Bumped the libqinfinity depends version
  * Bumped the policy version
  * Added new download location.
  * Switch to libinfinity-0.4-dev
  * Switch to libqinfinity-dev (>= 1.0~beta5)
  * Switch to Debian source format 3.0 (quilt)
  * Bump standards version to 3.8.4, no changes required.
  * Fix spelling mistake in dialog, Don't instead of Dont (01_Dont_Typo.diff)
  * Move from experimental to unstable

  [ Mark Purcell ]
  * debian/watch uversionmangle b -> ~beta & svn-upgrade

 -- Mark Purcell <msp@debian.org>  Thu, 08 Apr 2010 15:38:38 +1000

kobby (1.0~beta3-1) experimental; urgency=low

  * Initial release (Closes: #530679)

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sun, 21 Jun 2009 11:29:40 -0400

=== debian/control ===
Source: kobby
Section: editors
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Ryan Kavanagh <ryanakca@kubuntu.org>, Mark Purcell <msp@debian.org>
Build-Depends: cdbs, debhelper (>= 7), pkg-kde-tools, kdelibs5-dev, cmake,
 libgsasl7-dev, libinfinity-0.4-dev, libqinfinity-dev (>= 1.0~beta5)
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/svn/pkg-kde/kde-extras/kobby/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/kobby/
Homepage: http://kobby.greghaynes.net

Package: kobby
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: infinoted
Description: Collaborative text editor for KDE
 An editor for collaboratively editing text documents and source files over a
 network. All users can work on a file simultaneously without the need to lock
 it. Kobby supports syntax highlighting for various programming and markup
 languages, highlights parts users have written in different colours and also
 includes a chat window.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/pkg-kde-tools/makefiles/1/cdbs/kde.mk

DEB_INSTALL_MANPAGES_kobby = debian/kobby.1
